//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-TFT6.95-1+ER-PCBA6304-1   600*1024
// Lanuage   : C51 Code
// Create    : JAVEN LIU
// Date      : 2025-11-26
// Drive IC  : Controller:7683+SSD2828  CTP  GT911      
// INTERFACE :  7683: 4 wire SPI   SSD2828:3 Wire SPI    GT911: I2C     
// MCU 		 : STC12LE5C60S2     1T MCU
// MCU VDD	 : 3.3V
// MODULE VDD : 5V OR 3.3V 
//----------------------------------------------------------------------

//===========================================================
#include <STC12C5A.H>
#include <math.h>
#include <stdio.h>
#include<stdlib.h>
#include <intrins.h>
#include"lcd.h" 
#include"demo.h" 
#include"SD.h"  
#include"TP.h"   
#include"2828.h"

//=============================================================


#define uchar      unsigned char
#define uint       unsigned int
#define ulong      unsigned long



/////////////////////main////////////////////
void main(void)
{  	 uchar brightness=10;
 

//	BL_ON=0;  //Backlight on when external signal control

  	delay_ms(100);//delay for ER power on

   	SSD2828_Reset();	  
	SSD2828_initial();  

    ER_HW_Reset();
	System_Check_Temp();
   	delay_ms(100);
	while(LCD_StatusRead()&0x02);	 //Initial_Display_test	and  set SW2 pin2 = 1
  	ER_initial();
	Display_ON();


 while(1) 
 	{
   
	TPTEST();
 
	Text_Demo();
 	mono_Demo();	   
	gray();
   	Geometric();
 	NextStep();

//    Display_JPG_SDCARD();
	DMA_Demo();
  
	}
}




	
